Name:       gnome-shell-extension-no-topleft-hot-corner
Summary:    Disable the "hot corner" in the top-left of GNOME Shell
Version:    15.0
Release:    1%{?dist}
URL:        https://extensions.gnome.org/extension/118/no-topleft-hot-corner/
License:    GPLv2
BuildArch:  noarch

Source0: https://github.com/HROMANO/nohotcorner/archive/v%{version}.tar.gz

Requires: gnome-shell >= 3.8
Requires: gnome-shell-extension-common

# CentOS 7 build environment doesn't support Recommends tag.
%if 0%{?fedora}
Recommends: gnome-tweak-tool
%endif


%description
The top-left hot corner in GNOME Shell makes it easier to toggle the Activities
Overview --- perhaps a little too easy. No Topleft Hot Corner simply disables
the hot corner, so you don't have to worry about accidentally triggering
Activities anymore when moving the mouse near the top-left of the screen. But
you can still toggle the overview by clicking on the Activities button.

**NOTE:** After installing, each user that wants it must still manually enable
No Topleft Hot Corner before it will take effect. You can do so a few different
ways:

* If you've already installed the GNOME Shell integration web browser plugin,
  go to <https://extensions.gnome.org/local/>, find the extension, and click
  the switch to "ON."
* Open GNOME Tweak Tool, go to the Extensions tab, find the extension, and click
  the switch to "ON."
* Open a terminal or the desktop's command dialog, and (as your normal user
  account) run `gnome-shell-extension-tool --enable nohotcorner@azuri.free.fr`

You may also need to restart GNOME Shell (Open the command dialog with Alt-F2,
type `r`, and hit enter), or log out and log back in.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  nohotcorner@azuri.free.fr
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n nohotcorner-%{version}

%build
# No compiling necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}
# LICENSE and README also get copied to standard documentation and license
# locations, so we don't need them here.
rm  %{final_install_dir}/LICENSE  %{final_install_dir}/README.md



%files
%doc README.md
%license LICENSE
%{gnome_extensions_dir}/%{UUID}/



%changelog
* Sun Apr 30 2017 Andrew Toskin <andrew@tosk.in> - 15.0-1
- Update to upstream version 15.0. See the upstream change log:
  https://github.com/HROMANO/nohotcorner/compare/v14.0...v15.0
- Package description notes changes to GNOME Shell integration browser plugin.

* Thu Mar 23 2017 Andrew Toskin <andrew@tosk.in> - 14.0-2
- Small changes to package description and documentation, such as the process
  for enabling the extension from a web browser.
- Add support for EPEL 7.

* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 14.0-1
- First build accepted into Fedora.
